DIỄN ĐÀN TƯ VẤN XÂY DỰNG THÀNH GIA

Hiện tại bạn đang là khách viếng thăm của Diễn Đàn Tư Vấn Xây Dựng Thành Gia – Nơi Hội Tụ Nhân Tài Xây Dựng. Nếu chưa có tài khoản, xin mời bạn Click chuột vào nút Đăng Ký bên dưới hoặc Click vào nút Đăng Nhập nếu bạn đã là thành viên chính thức để hưởng trọn quyền lợi của Diễn Đàn dành cho bạn. Mọi thắc mắc liên hệ với Ban Quản Trị qua địa chỉ: Ctythanhgia@gmail.com
Cảm ơn bạn đã ghé thăm Diễn Đàn của chúng tôi!
Lưu ý: Bạn chỉ được phép sử dụng Tiếng Việt có dấu hoặc Tiếng Anh trên Diễn Đàn và chỉ có thành viên mới được quyền viết bài, nhận xét trên Diễn Đàn!
Chúc bạn thu được nhiều kiến thức từ việc tham gia Diễn Đàn của chúng ta!
DIỄN ĐÀN TƯ VẤN XÂY DỰNG THÀNH GIA

Chia sẻ tài nguyên chuyên ngành xây dựng

Thông tin Admin


Quản trị: Nguyễn Anh Tuấn
Email: Ctythanhgia@gmail.com
Ctythanhgia@yahoo.com
Điện thoại: 0914.524.611

Lịch vạn niên

Từ điển online


Tra theo từ điển:



Keywords

Poll

Bạn đang dùng phần mềm dự toán nào?
18% 18% [ 111 ]
34% 34% [ 215 ]
15% 15% [ 94 ]
3% 3% [ 18 ]
6% 6% [ 37 ]
15% 15% [ 95 ]
9% 9% [ 54 ]

Tổng số bầu chọn : 624

Quảng Cáo

free forum

free forum

free forum

free forum

free forum

Statistics

Tổng số bài viết đã gửi vào diễn đàn là 1630 in 1214 subjects

Diễn Đàn hiện có 5667 thành viên

Chúng ta cùng chào mừng thành viên mới đăng ký: hoangnghiem

Thống Kê

Hiện có 1 người đang truy cập Diễn Đàn, gồm: 0 Thành viên, 0 Thành viên ẩn danh và 1 Khách viếng thăm

Không


[ View the whole list ]


Số người truy cập cùng lúc nhiều nhất là 14 người, vào ngày Tue Jul 26, 2016 12:29 pm

Bản đồ online


Lisp offset về hai phía

Share
avatar
Admin
Admin
Admin

Giới tính : Nam Tổng số bài gửi : 823
Sinh nhật : 09/04/1981
Ngày tham gia : 13/08/2011
Tuổi : 37
Việc làm/sở thích : Tư vấn thiết kế, giám sát thi công, quản lý dự án...

default Lisp offset về hai phía

Bài gửi by Admin on Thu Mar 01, 2012 8:24 pm

Trước đây mình có lisp VT dùng offset line về hai bên nay nâng nó lên cho Pline, line, spline, circle, ellipse.
-Tên lệnh O2.
Coppy đoạn code dưới và lưu thành file lisp nhé

Code:
[color=#333333][font=Arial](vl-load-com)
(command "undo" "be")

(if (= droff nil)
(setq droff1 2.00)
(setq droff1 droff)
)
(setq
droff (GETREAL (strcat "\nNhap do rong offset: <" (rtos droff1 2 2) ">"))
)
(if (= droff nil)
(setq droff droff1)
)



(setq SS (ssget (list (cons 0 "ellipse,lwpolyline,spline,line,circle"))))
(setq i 0)
(setq N (sslength ss))
(while (< i N)
(setq TEXTENT (ssname SS i))
(setq luubatdiem (getvar "osmode"))
(setvar "osmode" 0)

(setq diemchuan (vlax-curve-getPointAtDist TEXTENT 0))
(setq diemdinhhuong (vlax-curve-getPointAtDist TEXTENT 0.01))
(setq goc (angle diemchuan diemdinhhuong))
(setq diembentrai (polar diemchuan (- goc (/ pi 2)) droff))
(setq diembenphai (polar diemchuan (+ goc (/ pi 2)) droff))

(command ".offset" droff textent diembentrai textent diembenphai "")

(setq i (1+ i))
(setvar "osmode" luubatdiem)
)

(command "undo" "end")
(princ)
)[/font][/color]



[You must be registered and logged in to see this image.]
[You must be registered and logged in to see this image.]

    Hôm nay: Thu Apr 26, 2018 4:43 pm